> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-6/v6-1/v6-1-0.md).

# Version 6.1.0 Changelog (2020-02-06)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

## New

* Added a [RubberStampCreateTool](https://sdk.apryse.com/api/web/Core.Tools.RubberStampCreateTool.html). This tool is available in the UI under the misc tool group and can be used to add various kinds of rubber stamp annotations to the document.
* Added a link button in the popups that can be used to link annotations or text to a url or a page number.
* Created a [React component library](https://github.com/ApryseSDK/webviewer-react-toolkit/) with various components that integrate with WebViewer. For example, a FileOrganizer component is included that has built-in drag and drop functionality.
* Added [setCropMode](https://sdk.apryse.com/api/web/7.3/Tools.CropCreateTool.html#setCropMode__anchor) and an [ALL\_PAGES](https://sdk.apryse.com/api/web/7.3/Tools.CropCreateTool.html#.CropModes__anchor) crop mode to [CropCreateTool](https://sdk.apryse.com/api/web/7.3/Tools.CropCreateTool.html).
* Added a [cropApplied](https://sdk.apryse.com/api/web/7.3/Tools.CropCreateTool.html#event:cropApplied__anchor) event to [CropCreateTool](https://sdk.apryse.com/api/web/7.3/Tools.CropCreateTool.html). The event will be triggered after page(s) is cropped.
* Added a [loadDocument](https://sdk.apryse.com/api/web/Core.DocumentViewer.html#loadDocument__anchor) API to [DocumentViewer](https://sdk.apryse.com/api/web/Core.DocumentViewer.html). This API has the same usage as [loadAsync](https://sdk.apryse.com/api/web/Core.DocumentViewer.html#loadAsync__anchor), but determines the correct type of [PartRetriever](https://sdk.apryse.com/api/web/Core.PartRetrievers.PartRetriever.html) to use internally.
* Added a [TWO\_CLICKS](https://sdk.apryse.com/api/web/Core.Tools.LineCreateTool.html#LineCreateTool__anchor) draw mode for [LineCreateTool](https://sdk.apryse.com/api/web/Core.Tools.LineCreateTool.html#LineCreateTool__anchor). This allows you to create a line annotation with two clicks instead of clicking and dragging.
* Added a `disable` option to [instance.updateElement](https://sdk.apryse.com/api/web/WebViewerInstance.html#updateElement__anchor). When this option is true, HTML elements that have Button in the class name won't be clickable.
* Added a `colorPalette` option to [instance.updateElement](https://sdk.apryse.com/api/web/WebViewerInstance.html#updateElement__anchor) to set the colors in the viewer's color palette.
* Added an [instance.setCustomMeasurementOverlayInfo](https://sdk.apryse.com/api/web/WebViewerInstance.html#setCustomMeasurementOverlay__anchor) API to customize the content in the measurement overlay.
* Added a dropdown to choose regular or cloudy border style for rectangle annotations.

## Updates

* Updated the signature modal to include two more tabs - typing and picking local images as signatures.
* Updated the line, polyline and polygon annotations to lock the angle of the control points to a multiple of 45 degrees when the shift key is pressed while resizing.
* Updated the [EllipseCreateTool](https://sdk.apryse.com/api/web/Core.Tools.EllipseCreateTool.html) to create a perfect circle when the shift is pressed while drawing.
* Updated the measurement overlay to allow users to edit the distance of a line annotation.
* Updated the TypeScript declaration file to contain more correct types.

## Fixes

* Fixed issue where pages jumped to a different position after pinching in mobile devices.
* Fixed issue where sometimes pages were zoomed in twice after pinching in mobile devices.
* Fixed issue where setting `simplifyPen` of [FreeHandCreateTool](https://sdk.apryse.com/api/web/Core.Tools.FreeHandCreateTool.html) to `true` didn't simplify the paths.
* Fixed issue where [StampCreateTool](https://sdk.apryse.com/api/web/Core.Tools.StampCreateTool.html) didn't open the file dialog in iOS 13.
* Fixed issue where [exportAnnotations](https://sdk.apryse.com/api/web/Core.AnnotationManager.html#exportAnnotations__anchor) didn't wait for all instances of [FreeHandCreateTool](https://sdk.apryse.com/api/web/Core.Tools.FreeHandCreateTool.html) to finish drawing before exporting annotations.
* Fixed issue where clicking on a note might result in an incorrect scroll position in the notes panel.
* Fixed issue where only primary annotation comments show up in print comment page.
* Fixed issue where line breaks in comments weren't displaying properly when printing the document with comments included.
* Fixed issue where annotation tooltip were not showing line breaks for comments correctly.
* Fixed issue where checkboxes and buttons in the print modal were not disabled in the process of printing.
* Fixed issue where [setPrintQuality](https://sdk.apryse.com/api/web/WebViewerInstance.html#setPrintQuality__anchor) allowed negative values.
* Fixed issues where accessing certain functions too early on a viewer optimized document wouldn't work.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/changelogs/version-6/v6-1/v6-1-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
